Search
K
Policy Transactions

Zinnia Policy Transactions API.

1.0.7OAS 3.1

Enterprise API for enforcing policy transactions and validations. This API provides a comprehensive interface for - Policy transaction validation and processing
- Financial and non-financial transaction management
- Policy party management and updates
- Systematic program management
Version History * Draft version 1.0.6
- Added Two Endpoints- Reinstatement eligibility check api, Reinstatement actual transaction api
* Draft Specifications (Subject to Change Upon Review)

API Base URL
  • Server 1:https://dev.api.zinnia.io

    DEV Environment

  • Server 2:https://qa.api.zinnia.io

    QA Environment

Security
Auth0 (openIdConnect)

Financial Transactions

Financial Transactions

base coverage update

post

Path Parameters

planCodestringrequired
policyNumberstringrequired

Policy Number

Response

application/json

basecoverageupdate Eligibility Success Response

TransactionResponse

statusstring

Allowed values:successfailure

errorarray[object]
Show Child Parameters
quoteResponseobject
post/bpm/v1/policies/{planCode}/{policyNumber}/basecoverageupdate/eligibilitycheck
 
application/json

Validation Freelook Cancellation Transaction

post

Path Parameters

planCodestringrequired
policyNumberstringrequired

Policy Number

Body

application/json

FreeLookCancellationRequest

correlationIdstring

The unique ID to track transaction request across all systems

Example:657b717b7dcf554abf9ef067

effectiveDatestring(date)required

Date (with pattern “yyyy-mm-dd”)

Match pattern:([0-9]{4})-([0-9]{2})-([0-9]{2})

transactionAmountsobjectrequired
Show Child Parameters
payeeOrBeneficiaryobject
Show Child Parameters
partiesarray[object]required
Show Child Parameters
reverseInitiatorboolean

Property to isolate source transaction(s) that initiated the reversal

caseIdstring

Zinnia Live Case ID

Example:CA0000007389

Response

application/json

Freelook Cancellation Validation Success Response

TransactionResponse

statusstring

Allowed values:successfailure

errorarray[object]
Show Child Parameters
quoteResponseobject
post/policy/v1/transactions/{planCode}/{policyNumber}/freelookcancellation/validation

Body

{ "effectiveDate": "effectiveDate", "transactionAmounts": { "disbursementType": "GROSS", "disbursementPaymentForm": "DTCC" }, "parties": [ { "partyId": "Party_PI_1", "paymentForm": "DTCC", "allocationPercentage": 100 } ] }
 
application/json

Submit Initial Death Claim Transaction

Submits an initial death claim notification for the given policy.

post

Path Parameters

planCodestringrequired

Plan Code

Example:551

policyNumberstringrequired

Policy Number

Example:POL-20251215-001

Body

application/json

InitialDeathClaimRequest

correlationIdstring

Unique identifier used by every system to trace the request

Example:3a2a3435-2089-4b81-9959-e0d569ccf4f0

effectiveDatestring(date)required

Date (with pattern “yyyy-mm-dd”) when the death claim transaction was originally scheduled or expected to happen. It can be a non-business day

Example:2025-12-15

transactionReasonstringrequired

Reason for the transaction

Allowed values:DEATH_NOTIFICATION

Example:DEATH_NOTIFICATION

externalIdentifiersobject
Show Child Parameters
policyobject
Show Child Parameters
partiesarray[object]required
Show Child Parameters
deathNotificationobjectrequired
Show Child Parameters

Response

application/json

Submit Transaction Successful

InitialDeathClaimAcceptedResponse

correlationIdstring

Unique identifier which used by every system to trace the request

Example:3a2a3435-2089-4b81-9959-e0d569ccf4f0

caseIdstring

Zinnia Live Case ID

Example:CA0000369469

caseStatusstring

Zinnia Live Case Status

Example:IN_PROGRESS

post/bpm/v1/policies/{planCode}/{policyNumber}/initialdeathclaim

Body

{ "correlationId": "string", "effectiveDate": "2025-12-15", "transactionReason": "DEATH_NOTIFICATION", "externalIdentifiers": { "externalTransactionId": "string", "referenceNumber": "string" }, "policy": { "policyNumber": "string", "productType": "LIFE", "lineOfBusiness": "LIFE" }, "parties": [ { "partyId": "uuid-informant", "partyRole": "INFORMANT", "partyType": "INDIVIDUAL", "relationshipToInsured": "SPOUSE", "isFuneralHomeAssigned": true, "personalInformation": { "firstName": "string", "middleName": "string", "lastName": "string", "suffix": "string", "prefix": "string", "dateOfBirth": "1990-01-01", "gender": "MALE", "birthSex": "MALE", "birthCountry": "US", "citizenCountry": "US" }, "partyCommunication": "REGULARMAIL", "identifiers": [ { "type": "SSN", "value": "string", "description": "Social Security Number", "source": "SSA", "issueDate": "2015-01-01", "expirationDate": "2070-01-01", "status": "ACTIVE", "countryOfIssue": "US" } ], "address": { "preferredAddressId": "1", "addresses": [ { "addressId": "1", "startDate": "2026-05-13", "addressType": "RESIDENCE", "addressLine1": "1112 Pickle Street", "addressLine2": "South Jersey", "addressLine3": "1234 Post box", "city": "Garden City", "state": "AL", "zipCode": "67846", "zipCodeExtension": "23", "country": "US", "isPreferred": true } ] }, "phoneNumber": { "preferredPhoneId": "1", "phones": [ { "phoneId": "1", "startDate": "2026-05-13", "phoneType": "MOBILE", "countryCode": "1", "areaCode": "973", "dialNumber": "765789", "isPreferred": true } ] }, "email": { "preferredEmailId": "1", "emails": [ { "emailId": "1", "startDate": "2026-05-13", "emailType": "PERSONAL", "emailAddress": "informant@example.com", "isPreferred": true } ] } }, { "partyId": "uuid-insured", "partyRole": "INSURED", "partyType": "INDIVIDUAL", "personalInformation": { "firstName": "string", "middleName": "string", "lastName": "string", "suffix": "string", "prefix": "string", "dateOfBirth": "1990-01-01", "gender": "MALE", "birthSex": "MALE", "birthCountry": "US", "citizenCountry": "US" }, "partyCommunication": "REGULARMAIL", "identifiers": [ { "type": "SSN", "value": "string", "description": "Social Security Number", "source": "SSA", "issueDate": "2015-01-01", "expirationDate": "2070-01-01", "status": "ACTIVE", "countryOfIssue": "US" } ] }, { "partyId": "uuid-PRIMARYBENEFICIARY", "partyRole": "PRIMARYBENEFICIARY", "partyType": "INDIVIDUAL", "relationshipToInsured": "SPOUSE", "isFuneralHomeAssigned": true, "personalInformation": { "firstName": "BENEFICIARY1", "middleName": "string", "lastName": "string", "suffix": "string", "prefix": "string", "dateOfBirth": "1990-01-01", "gender": "MALE", "birthSex": "MALE", "birthCountry": "US", "citizenCountry": "US" }, "partyCommunication": "REGULARMAIL", "identifiers": [ { "type": "SSN", "value": "string", "description": "Social Security Number", "source": "SSA", "issueDate": "2015-01-01", "expirationDate": "2070-01-01", "status": "ACTIVE", "countryOfIssue": "US" } ], "address": { "preferredAddressId": "1", "addresses": [ { "addressId": "1", "startDate": "2026-05-13", "addressType": "RESIDENCE", "addressLine1": "1112 Pickle Street", "addressLine2": "South Jersey", "addressLine3": "1234 Post box", "city": "Garden City", "state": "AL", "zipCode": "67846", "zipCodeExtension": "23", "country": "US", "isPreferred": true } ] }, "phoneNumber": { "preferredPhoneId": "1", "phones": [ { "phoneId": "1", "startDate": "2026-05-13", "phoneType": "MOBILE", "countryCode": "1", "areaCode": "973", "dialNumber": "765789", "isPreferred": true } ] }, "email": { "preferredEmailId": "1", "emails": [ { "emailId": "1", "startDate": "2026-05-13", "emailType": "PERSONAL", "emailAddress": "informant@example.com", "isPreferred": true } ] } }, { "partyId": "uuid-PRIMARYBENEFICIARY2", "partyRole": "PRIMARYBENEFICIARY", "partyType": "INDIVIDUAL", "relationshipToInsured": "SPOUSE", "isFuneralHomeAssigned": true, "personalInformation": { "firstName": "BENEFICIARY2", "middleName": "string", "lastName": "string", "suffix": "string", "prefix": "string", "dateOfBirth": "1990-01-01", "gender": "MALE", "birthSex": "MALE", "birthCountry": "US", "citizenCountry": "US" }, "partyCommunication": "REGULARMAIL", "identifiers": [ { "type": "SSN", "value": "string", "description": "Social Security Number", "source": "SSA", "issueDate": "2015-01-01", "expirationDate": "2070-01-01", "status": "ACTIVE", "countryOfIssue": "US" } ], "address": { "preferredAddressId": "1", "addresses": [ { "addressId": "1", "startDate": "2026-05-13", "addressType": "RESIDENCE", "addressLine1": "1112 Pickle Street", "addressLine2": "South Jersey", "addressLine3": "1234 Post box", "city": "Garden City", "state": "AL", "zipCode": "67846", "zipCodeExtension": "23", "country": "US", "isPreferred": true } ] }, "phoneNumber": { "preferredPhoneId": "1", "phones": [ { "phoneId": "1", "startDate": "2026-05-13", "phoneType": "MOBILE", "countryCode": "1", "areaCode": "973", "dialNumber": "765789", "isPreferred": true } ] }, "email": { "preferredEmailId": "1", "emails": [ { "emailId": "1", "startDate": "2026-05-13", "emailType": "PERSONAL", "emailAddress": "informant@example.com", "isPreferred": true } ] } } ], "deathNotification": { "notificationReceivedDate": "2025-12-15", "proofOfDeathReceived": false, "certifiedReceivedDate": "2025-12-15", "claimStatus": "PENDING", "deathDetails": { "dateOfDeath": "2025-12-15", "locationOfDeath": "string", "countryOfDeath": "US" } } }
 
application/json